Subject: Re: bug#54945: installer should have a no-graphics boot option

From: raingloom <[email-masked]>
Date: Fri, 15 Apr 2022 13:36:36 +0200

On Fri, 15 Apr 2022 08:55:43 +0200
"pelzflorian (Florian Pelz)" <[email-masked]> wrote:

> On Fri, Apr 15, 2022 at 02:17:49AM +0200, raingloom wrote:
> > Disclaimer: the last time I used an ISO for installing Guix was
> > before there was a graphical installer, so I'm not sure what it's
> > expected to look like now.
> > 
> > Anyways, I tried booting the latest release on a netbook, it failed
> > around/after KMS. Kernel seemed to lock up. No panic, no usable
> > visible log, not responding to Ctrl-Alt-Del, had to reboot with
> > Sysrq-Alt-b. I added nomodeset to the kernel command line in GRUB
> > and managed to boot it that way, although that still didn't
> > immediately result in a usable terminal, vtty1 only had a
> > non-blinking cursor if I recall correctly. Had to switch to vtty2
> > or above to do anything useful.
> > 
> > So, most users can't be expected to know about nomodeset, so there
> > should be a clearly labeled "safe graphics" mode, just like how some
> > other distros do it.  
> 
> 
> I assume that the driver will also cause troubles post-install?  Users
> will not be happy users anyway with such a machine.
> 
> If you boot with nomodeset, graphics should come up with
> uvesafb-shepherd-service from gnu/system/install.scm.  (They did for
> my old laptop with latest guix three months ago.)  You imply that
> graphics never appear and the screen stays black?  Or does it just
> take a long time?
> 
> I’ve previously had such issues with AMD Radeon GPUs, so we added it
> to the blacklist in gnu/system/install.scm:
> 
>     ;; XXX: The AMD Radeon driver is reportedly broken, which makes
> kmscon ;; non-functional:
>     ;;
> <https://lists.gnu.org/archive/html/guix-devel/2019-03/msg00441.html>.
> ;; Thus, blacklist it. (kernel-arguments '("quiet"
> "modprobe.blacklist=radeon"))
> 
> Regards,
> Florian

AFAIK it's a Radeon machine, so that may be the problem.
I have no idea how long the GUI is expected to take to show up, maybe
it would have appeared if I just waited even more, but there was no
indication of anything happening.

I'll see if something lightweight like i3wm can start up.

Users will also certainly not be happy if they can't use their Guix
live ISO to rescue their system.